Skip to content
Documentation sections

Retrieve the current credit consumption period

GET /consumption/current-period on the Congestion API. Base URL: https://api.sinay.ai/congestion/api/v1.

Responses

Body: application/json, object.

FieldTypeRequiredDescription
idstring (uuid)YesUnique identifier of the consumption period.
creditsintegerYesRemaining credits.
creditsInitialintegerYesCredits allocated at the start of the period.
periodStartstring (date-time)YesStart of the period.
periodEndstring (date-time)YesEnd of the period.
expiredbooleanYesWhether this period has expired.

Example response body:

{
  "id": "091c4dc8-e979-4607-b9ca-78260ab48dfe",
  "credits": 3,
  "creditsInitial": 3,
  "periodStart": "2024-10-21T11:20:17Z",
  "periodEnd": "2224-10-21T11:20:17Z",
  "expired": false
}